#!/bin/bash

cd ~/
sudo rm -r libtransistor
sudo rm -r libtransistor-snes9x2010
sudo rm -r vba-next
sudo rm -r libretro-fceumm
sudo rm -r RetroArch
git clone --recursive -b fs https://github.com/reswitched/libtransistor.git
cd libtransistor
make LLVM_POSTFIX=-5.0
cd ~/
git clone --recursive https://github.com/libretro/libretro-fceumm.git libretro-fceumm
cd libretro-fceumm
make LLVM_POSTFIX=-5.0 platform=switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor/
cd ~/
git clone --recursive https://github.com/reswitched/libtransistor-snes9x2010.git
cd libtransistor-snes9x2010
make LLVM_POSTFIX=-5.0 platform=switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor/
cd ~/
git clone --recursive https://github.com/libretro/vba-next
cd vba-next
make LLVM_POSTFIX=-5.0 platform=switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor/
cd ~/
git clone --recursive https://github.com/reswitched/RetroArch.git
cd RetroArch
mkdir fs
echo "Done. Copy your roms to RetroArch/fs and run the buildretro script"


